/* SCE CONFIDENTIAL
PLAYSTATION(R)3 Programmer Tool Runtime Library 084.006
* Copyright (C) 2004 Sony Computer Entertainment Inc. 
* All Rights Reserved.
*/
_FUNC_DEF(vec_float4, 
	  fdimf4,
	  (vec_float4 x, vec_float4 y))
{
  vec_float4 diff = vec_sub(x,y);
  return vec_sel((vec_float4)(0.0f),diff, vec_cmpgt(x,y));
}
